%define name	p3scan
%define version	3.0
%define release %mkrel 0.rc1.2

Summary:	Virus scanning transparent proxy server for POP3
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Networking/Mail
URL:		http://p3scan.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}_rc1.tar.gz
Patch0:		%{name}-iptables-rules.patch
BuildRequires:	pcre-devel
BuildRequires:	openssl-devel
BuildRequires:	clamav-devel
Requires:	pcre
Requires:	perl-Mail-SpamAssassin
Requires:	spamassassin-spamc
Requires:	spamassassin-spamd
Requires:	clamd
Requires:	sendmail-command
Requires(pre):	rpm-helper
Conflicts:	pop3vscan
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a full-transparent proxy-server for POP3-Clients. It runs on
a Linux box with iptables (for port re-direction). It can be used to
provide POP3 email scanning from the internet, to any internal network
and is ideal for helping to protect your "Other OS" LAN from harm,
especially when used in conjunction with a firewall and other Internet
Proxy servers.

%prep
%setup -q -n %{name}-%{version}_rc1
%patch0 -p0

%build
%serverbuild
%configure --with-user=clamav
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/var/spool/%{name}/children
mkdir -p %{buildroot}/var/spool/%{name}/notify
mkdir -p %{buildroot}/var/run/%{name}

%makeinstall_std

mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
cat << EOF >%{buildroot}%{_sysconfdir}/%{name}/redirect_on.sh
#!/bin/bash
iptables -t nat -A PREROUTING -p tcp -i lo --dport pop3 -j REDIRECT --to 8110
iptables -t nat -I OUTPUT -p tcp --dport 110 -j REDIRECT --to 8110
iptables -t nat -I OUTPUT -p tcp --dport 110 -m owner --uid-owner clamav -j ACCEPT
/etc/init.d/iptables restart
EOF
cat << EOF >%{buildroot}%{_sysconfdir}/%{name}/redirect_off.sh
#!/bin/bash
iptables -t nat -D PREROUTING -p tcp -i lo --dport pop3 -j REDIRECT --to 8110
iptables -t nat -D OUTPUT -p tcp --dport 110 -j REDIRECT --to 8110
iptables -t nat -D OUTPUT -p tcp --dport 110 -m owner --uid-owner clamav -j ACCEPT
/etc/init.d/iptables restart
EOF

chmod 755 %{buildroot}%{_sysconfdir}/%{name}/redirect*

#dirty workaround, --docdir seems not to work (to fix)
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}/usr/doc/%{name}-%{version}_rc1 %{buildroot}%{_docdir}/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
rm -rf /var/spool/%{name}
rm -rf /var/run/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTERS NEWS README README-rpm spamfaq.html
%{_bindir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sysconfdir}/init.d/%{name}
%{_mandir}/man8/*
%defattr(-,clamav,mail)
%dir /var/spool/%{name}
%dir /var/spool/%{name}/*
/var/run/%{name}




%changelog
* Thu Sep 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-0.rc1.2mdv2009.0
+ Revision: 280518
- rebuild against new clamav libs

* Thu Aug 07 2008 Emmanuel Andry <eandry@mandriva.org> 3.0-0.rc1.1mdv2009.0
+ Revision: 265929
- New version
- fix license
- drop Source1 as initscript is provided upstream
- drop patches
- don't need shorewall anymore
- add script to remove iptables rules when stopping daemon
- add patch for iptables rules

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 2.3.2-18mdv2008.0
+ Revision: 45957
- rebuild with %%serverbuild macro


* Fri Feb 23 2007 Emmanuel Andry <eandry@mandriva.org> 2.3.2-17mdv2007.0
+ Revision: 125146
- rebuild
- Import p3scan

* Fri Sep 15 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-16mdv2007.0
- fix init script

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-15mdv2007.0
- now rely on shorewall
- init script enhancements

* Sat Sep 02 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-14mdv2007.0
- requires clamd

* Tue Aug 22 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-13mdv2007.0
- requires sendmail-command

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-12mdv2007.0
- fix perms

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-11mdv2007.0
- fix /var/spool/p3scan
- enhance cleanup

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.2-10mdv2007.0
- rebuild

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.2-9mdk
- improvements from Emmanuel Andry <eandry@free.fr>:
- fixed directory in spool
- cleanup spec file
- clean up spool directory after uninstall
- made rpmlint happy

* Fri Feb 17 2006 Michael Scherer <misc@mandriva.org> 2.3.2-8mdk
- add the directory in spool ( reported by eandry )

* Thu Feb 16 2006 Michael Scherer <misc@mandriva.org> 2.3.2-7mdk
- use a forked initscript, and a separate file for firewall
- do not start at install
- update requires ( eandry )

* Sun Feb 12 2006 Emmanuel Andry <eandry@free.fr> 2.3.2-6mdk
- changed directory owner to clamav to fix permissions
- rediff Patch1 to start as user clamav
- rediff Patch2 to apply iptables rules on each start
- disable debug

* Sun Feb 12 2006 Emmanuel Andry <eandry@free.fr> 2.3.2-5mdk
- enable pinit (Patch2)

* Sun Feb 12 2006 Emmanuel Andry <eandry@free.fr> 2.3.2-4mdk
- fix requires
- provide conf file (Patch1)
- enable transparent mode

* Thu Jan 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.2-3mdk
- fix buildrequires

* Thu Jan 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.2-2mdk
- cleaned up stuff..

* Sat Jan 14 2006 Emmanuel Andry <eandry@free.fr> 2.3.2-1mdk
- 2.3.2
- added spamassassin support
- %%{1}mdv2007.1

* Thu Jul 21 2005 Emmanuel Andry <eandry@free.fr> 2.1-1mdk
- Initial release
- Got problem with chown command, if someone could fix it

